# vim: ft=yaml
#
# Each release can have new features and bug fixes. Each of which
# can optionally have linked tickets and a description.
# In addition they can be marked as major by adding the word major
# to the ticket list.
# Also, each release can have new and improved recipes.

# {{{ 7.x.0 2025-xx-xx
#
# :: new features
#
# - title
#
# :: bug fixes
#
# - title
#
# :: improved recipes
# - title
#
# :: new recipes
# - title by author
# }}}

{{{ 7.24.0 2025-01-10

:: new features

- [2091268] Allow creating rules to transform series names in the Bulk metadata editor and Preferences->Metadata download

- Conversion: Automatically set the page progression direction for books that do not have it set and have their primary language either Arabic or Hebrew

- Content server: Book details view: Make calibre://show-book and calibre://view-book URLs in the comments work

- [2092496] Edit book: Spell check: Add a button to export the currently displayed list of words as a CSV file

- [2092483] Add from ISBN: Add a checkbox to automatically convert obsolete ISBN 10 to ISBN 13

- [2092395] Save single format to disk: Allow choosing the book cover as the format to save

- Option to show a button to access all available actions from the status bar in Preferences->Look & feel->Main interface

:: bug fixes

- [2092948] Read aloud: Fix no audio produced when text contains <3 and using the Windows legacy speech engine

- [2092643] Fix Tabbing while editing cells in the book list not always working

- Windows build: Also sign the portable launcher exes

- [2092630] Fix viewing books via the Cover browser not working when in device view

:: improved recipes
- LWN Weekly
- Outlook India
- Livemint

}}}

{{{ 7.23.0 2024-12-20

:: new features

- 🎄 Happy holidays to everyone!

- [2091646] Content server: Allow managing the data files associated with a book by clicking the three dots in the top right corner of the book's page and choosing "Manage data files"

- [2091216] Edit metadata dialog: Allow right clicking on the cover to view it in a popup window at larger size

- Add an option to expand the Tag browser tree to show the item that was current when the library was closed

- Add import and export stored template to Preferences / template functions

- Various Quality-of-Life improvements to the dialog used to edit columns with fixed sets of values

- [2091152] Resolve doi.org links when pasting identifiers

:: bug fixes

- [2091451] Viewer: Fix some HTMLZ files not opening on some systems

- [2091542] Amazon metadata plugin: Update for changed markup for some books on amazon search results page

:: improved recipes
- Economist
- Irish Times
- Popular Science
- ACM Queue

:: new recipes
- Le Canard Enchaine by Kabonix

}}}

{{{ 7.22.0 2024-11-29

:: new features

- E-book viewer: Read Aloud: Add an option to control the position of the popup control bar. It can now be placed along the top or bottom edges so as to overlap less with text.

- [2087754] System tray menu: Add action to restart calibre

- Tolino driver: Support new firmware

:: bug fixes

- Windows: Enable popup OS notifications even when system tray icon is disabled to match behavior on other platforms. Notifications can be disabled via Preferences->Look & feel->Disable notifications on job completion

- [2087850] Fix a regression that caused incorrect English transliteration of Japanese text even when the UI language is set to Japanese

- [2088153] macOS: Dark mode: Fix a regression that caused the scrollbar to no longer be transient

- [2089433] DOCX Input: When some text has multiple footnotes insert a space between the consecutive foot note numbers so that they are distinct

- DOCX Input: Fix ToC nesting not working if the styles for the ToC levels do not use integer margins

- E-book viewer: Fix spurious chapter transition after configuring Read aloud

- [2089436] PDF Input: Fix reflow of lines in files with little text not working

:: improved recipes
- Economist
- Indian Express
- Economist World Ahead
- Frontline
- Infobae

:: new recipes
- Economist News by unkn0wn
}}}

{{{ 7.21.0 2024-11-08

:: new features

- [major] Edit book: A new tool to create an audio overlay in EPUB files for all text using the Read aloud facility

  This allows readers of the book to listen to it with sentence tracking, even if they do not have a functioning text-to-speech system in the reading software. You can even assign different voices to different parts of the text for a more immersive experience. The tool is available from the Tools menu in the book editor.

- Dark mode: make scrollbar more visible with higher contrast and rounded corners

- E-book viewer: In flow mode when scrolling across internal file boundaries using the mouse wheel/touchpad have a short half second pause to ease the transition. Can be controlled via the Scrolling section of the Viewer preferences.

- ebook-meta.exe: Add an option to disallow rendered cover of first page for EPUB

- [2082075] Book details: Add an action to download the cover to the context menu when right clicking the cover

- [2086609] Read aloud: Add a restore defaults button to the configuration dialog

- [2086478] Auto adding: Allow excluding arbitrary file types not just known book file types

- [2083583] Edit metadata dialog: Add an action to open the book's folder to the context menu of the formats list

:: bug fixes

- [2086571] Read aloud: Fix only first 32000 characters per chapter being read

- [2086661] Content server: Read aloud: Fix clicking on a word to skip reading aloud to that word causing word highlighting to stop working

- Linux: Handle speech dispatcher with dummy output module and no voices more gracefully

- When renaming authors fix empty author folder not being removed if it contained file explorer metadata but was otherwise empty

- [2086193] Edit metadata dialog: Fix keyboard shortcuts to edit prev/next raising an error when trying to go beyond the first/last book

- [2085576] Linux: ToC Editor: Fix a regression in 7.17 that broke using the Create new entry button

- [2085005] Content server: Fix changing the language of a book not working for non-English user interface language and for books that have no existing language

- Linux: Read aloud with Piper: Fix audio not playing on some Linux systems

- Notes browser: When searching books search over all currently selected categories not just the last selected one

:: improved recipes
- Substack
- Live Mint
- NYPost
- Ars Technica
- Indian Express
- Reuters

:: new recipes
- Unz Review and Sonar21 by unkn0wn
}}}

{{{ 7.20.0 2024-10-18

:: new features

- [major] PDF Input: Automatic header/footer detection and removal

  A new, dedicated PDF Input engine for calibre that implements
  automatic detection of headers and footers based on document analysis.
  The new engine is the default to go back to using the old engine, select
  it in the PDF Input section of the Conversion dialog.

- [2083058] Read Aloud: Allow configuring an extra pause at the end of every sentence when using the Piper TTS engine

- PDF Output: Add _WIDTH_PIXELS_ and _HEIGHT_PIXELS_ variables to know the width and height of the header/footer area in templates

- Windows: Use calibre's bundled SSL certificates instead of the system certificate store by default

  Can be turned off via CALIBRE_USE_SYSTEM_CERTIFICATES=1 env var

- Trim image tool: Add a control to adjust aspect ratio

- Kobo driver: Add support for the new firmware used by the Tolino Shine 5

:: bug fixes

- Fix a regression in previous release that broke copying of book to another library if the books author does not exist in the destination database

- Read aloud: Piper backend: Fix not working with voices whose names have non-ASCII characters on Windows.

- Content server: Fix book with non-ASCII filenames not downloading in the Kindle browser when using the /mobile view

- Content server: Fix embedding the server HTML inside a third party iframe causing an error

:: improved recipes
- The Wire
- Nikkei Asia Magazine
- Swarajya
- Mainichi
- Nautilus
- National Geographic
- Science Journal
- Times Literary Supplement
- Saechsische Zeitung
- India Today
- Scientific American

:: new recipes
- NYT Magazine by unkn0wn
- RedaktionsNetzwerk Deutschland by epubli
}}}

{{{ 7.19.0 2024-09-27

:: new features

- [major] E-book viewer: Halve the time taken to open large EPUB format books for the first time

  A four hundred thousand word EPUB book now opens in under a second on typical hardware.

- PDF new engine: Improve header/footer detection

- For column icons and grid view emblems, support icons for both light and dark themes

- News downloads: Mark links to locally available articles with a middle-dot

- [2079784] When saving a layout also save the main window geometry

:: bug fixes

- [2080705] Windows: Read Aloud: Fix an occasional crash when stopping read aloud when using the legacy windows TTS engine

- [2080705] Windows: Read Aloud: Fix clicking in text to change what is being read causing tracking of currently read word to fail when using the legacy Windows TTS engine

- [2080708] Read aloud: Fix reading large numeric words causing text synchronization to fail when using some legacy TTS engines

- [2080701] EPUB3 metadata: Fix setting series number to zero not working

- [2081982] Comic Input: Handle comics whose internal files have control codes in their filenames

- [2071348] E-book viewer: Fix a regression that broke searching in Japanese books that use <ruby> text

- [2080655] E-book viewer: Fix a regression in the previous release that broke Read aloud for selected text

- Amazon metadata plugin: Workaround for downloads failing because Google discontinued its webcache

- Cover grid: Suppress the 2px border Qt draws for the list view

:: improved recipes
- NY Times
- NYT Book Review
- Courrier International
- Le Monde
- TLS Magazine
- Scientific American
- Engadget

:: new recipes
- NYT News based on feeds by unkn0wn
}}}

{{{ 7.18.0 2024-09-13

:: new features

- [major] E-book viewer: Read aloud: A new Text-to-Speech engine (Piper) that uses a neural network for realistic sounding voices

  To use it access the viewer controls and click the Read aloud button or press 'Ctrl+S'. The neural network
  is run locally, no cloud services are used. Using the OS Text-to-Speech engine is still possible by clicking
  the configure button on the Read aloud control bar. Note that the new engine highlights the currently read sentence rather than word.

- [2076346] New experimental engine to convert PDF files with support for automatic header/footer removal

  Turn it on via the PDF input section of the conversion dialog.

- Content server: Viewer: Read Aloud: Implement word-by-word tracking when reading aloud if the browser and OS used support it, for example, Chromium on Windows, Firefox on Android and Safari on macOS

- [2080315] Image popup: Add a context menu with an option to reset the current zoom

- Edit metadata dialog: Show the number of data files on the data files button

:: bug fixes

- Fix a regression in the previous release that broke using Tab key to move around the book list while editing cells

- [2077801] E-book viewer: Fix scrollbar position not updating during continuous scroll

- [2077871] E-book viewer: Fix a harmless error when the book contains page list references whose targets do not exist

- [2077794] Linux binary build: Fix missing libdeflate dependency

:: improved recipes
- Revista Muy Interesante
- Ars Technica
- South China Morning Post
- Times Literary Supplement
- Hackernews
- Star Gazetesi
- Hurriyet
- Gorafi
- Times Online

:: new recipes
- Muy Interesante México by unkn0wn
- Salzburger Nachrichten by İlker Melik Sıtkı
- Computer Weekly by İlker Melik Sıtkı

}}}

{{{ 7.17.0 2024-08-23

:: new features

- [major] E-book viewer: Support for jumping to and displaying paper edition page numbers

  If an e-book contains embedded information about the pages from the paper edition of the book,
  the calibre E-book viewer can now jump to a page number via the Go to button in the viewer controls.
  You can also optionally have the current paper edition page number displayed in the header/footer
  by adding "Pages from paper edition" to either the header or footer in the viewer settings.

- [2076251] Edit book: When text is selected allow changing the indentation of all lines in the selection by pressing Tab to increase one level or Shift+Tab to decrease one level

- Allow a plugboard to change the series_index as well as the series name.

- News download: News recipes can now optionally use browser engines based on either Qt or Chromium network stacks instead of mechanize

- Email delivery: When sending emails to Kindles do not convert filenames to English letters as Amazon appears to have finally fixed their email servers to handle non-English filenames

- [2075565] Quickview: Add a tooltip displaying the full cell contents

:: bug fixes

- Update the version of the Qt toolkit bundled with calibre to the latest available, fixing some crashes on macOS related to accessibility tools

- [2075970] Edit book: Fix searching marking incorrect text in the presence of non-BMP unicode characters

- [2074002] Conversion: Do not embed a second copy of a font when using the option to embed font family if the font is already embedded in the book

- [2076515] calibredb list: Fix a regression in the previous release that required setting --template-header to empty to use the list command

- Tolino driver: Fix books from the Tolino cloud not being listed

- Windows: Book details panel: Fix selection not visible when using the system default theme

- [2073441] Hide the Virtual library tab bar in device view as it is non-functional

:: improved recipes
- Jot Down
- Various Russian and Ukranian news sources
- Nautilus Magazine
- Süddeutsche Zeitung
- The India Forum
- WSJ
- National Geographic
- Washington Post
- Mediapart
- Bloomberg
- Nautilus

:: new recipes
- GaGadget by bugmen00t
- Süddeutsche Zeitung Magazin by unkn0wn
- Science Journal by unkn0wn
}}}

{{{ 7.16.0 2024-07-31

:: new features

- Add a driver for the new 2024 Tolino devices. They use a modified version of the Kobo firmware, so they are detected as Kobo devices.

- Various news recipes now have the ability to download past issues, accessible via the Advanced tab in the Schedule news dialog

:: bug fixes

- [major 2075128] ONLY if you use the calibre Content server, you should update calibre as soon as possible

  If you do not know what the Content server is, you do not use it, and
  these do not apply to you. If you have set a password to access the
  Content server that you have not shared with anyone, these do not
  affect you.

  A remote code execution bug in the Content server introduced in
  calibre version 6.9.0 (released on 2022-11-25) means that anyone with
  access to the server also has access to the rest of the computer the
  server is running on. If you are using a password to protect access to
  the server only people that know the password can gain access via the
  bug. Thanks to STAR Labs (https://starlabs.sg) for finding these
  vulnerabilities.

- [2075125] Content server: Fix path traversal vulnerability

  A bug in a feature introduced in calibre version 6.16.0 (released
  2023-04-20) means anyone with access to the server can also read non
  calibre related files on the computer running the server.

- [2075131] Content server: Fix SQL injection vulnerability

  A bug in a feature introduced in calibre version 6.10.0 (released
  2022-12-16) means anyone with access to the server can also read
  non-calibre SQLITE database files on the computer running the server.

- [2075130] Content server: Fix an XSS vulnerability in one endpoint

  Only relevant if you embed the calibre server within a larger server, it means
  attackers who can convince users to click on a specially crafted link, can run
  JavaScript code with the same origin as the larger server calibre is embedded in.

- [2073972] Content server: Fix an error when opening the downloaded books page directly via a link and using a custom book list template

- macOS: Fix opening multiple books from Finder with the editor only opening one of the books

- Fix the legacy LRF format viewer not starting

- [2074147] Fix mouse wheel not transitioning from undefined date to current date in date entry controls

:: improved recipes
- Harvard Business Review
- Live Mint
- Business Standard
- Pagina12
- Bloomberg

}}}

{{{ 7.15.0 2024-07-19

:: new features

- Fetch news: Allow individual news sources to specify source specific options such as downloading of past editions

:: bug fixes

- [2073323] Windows: MTP driver: Fix a regression in the previous release that caused an error with some devices

- Icon theme creation dialog: Fix various issues when creating an icon theme with many icons that have light/dark variants

:: improved recipes
- Bloomberg
- Eenadu
- Mediapart

:: new recipes
- WSJ News by unkn0wn
}}}

{{{ 7.14.0 2024-07-12

:: new features

- [2072442] Book details: When dropping files add an option to add them to the book as data files

- Edit book: A new action to toggle line wrapping mode in all code editors. Can be assigned via Preferences->Keyboard shortcuts->Global actions or added to the toolbar via Preferences->Toolbars->Book wide actions

- Kobo driver: Add an option to force the SeriesID for all books in a series to have the same value

:: bug fixes

- [2071458] Fix a regression in the previous release that broke merging of books when the confirmation for the merge was disabled

- [2072412] E-book viewer: Allow some header and footer items such as progress to overflow instead of being truncated

- [2072405] HTMLZ output: Make renaming of image files happen in filename order

- [2072384] MTP driver: Fix infinite loop when connecting to some devices with more 65K objects in their filesystem

- Fix shortcut editing widget when Qt is using a theme that inserts accelerators into push button labels automatically

:: improved recipes
- Instapaper
- MIT Tech Review
- Guardian
- Liberation
- The Times and Sunday Times
- Bloomberg Businessweek
- Times Literary Supplement

:: new recipes
- Ancient Egypt Magazine, Minerva Magazine, Military History Magazine and World Archaeology Magazine by unkn0wn

}}}

{{{ 7.13.0 2024-06-28

:: new features

- [2071033] When merging books add an option to store discarded or replaced covers as an alternate cover in the data folder of the target book

- [2068070] Generate CSV catalog: Add a button to sort the fields by the order in which they appear in the book list

:: bug fixes

- [2067755] MTP driver: Preserve cover aspect ratio for thumbnail generation

- [2071044] Fix identifiers not always being merged correctly when merging books

- [2069541] DOCX Input: Fix extra left padding when converting lists

- Amazon metadata download: Get title and comments for audiobook pages

- Amazon metadata: When filtering search engine results by title ignore words of the title that are purely punctuation

- When matching books on a device to book in the library assume a match if the title and any one author match, don't require all authors to match

- [2069553] Update Google Images cover download plugin for website changes

- [2069494] When adding new books if the timestamp is specified as undefined use the current timestamp

- Content server: Fix systemd pre-activated socket not working

- [2071390] Content server: Fix no KFX download link in OPDS acquisition feeds

:: improved recipes
- Harpers
- Wall Street Journal
- Liberation
- How to Geek
- Make Use Of
- TechCrunch
- LifeHacker
- India Today
- 1843
- Reuters
- The Week India
- Slate

:: new recipes
- Times Literary Supplement by unkn0wn
- Wall Street Journal Magazine by unkn0wn
- Various Valnet Publishing Group recipes by Spicy Poison
- VOX, The Good E-reder and The e-book Reader by SpicyPoison
- Gates Notes, Greatist, Halthline and United Nations by SpicyPoison
}}}

{{{ 7.12.0 2024-05-30

:: new features

- [2067167] E-book polishing: Add option to download external resources (images/stylesheets/etc.)

- Conversion: Add an option under Structure detection to automatically fill in blank alt attributes for images that have alt text in the image file metadata

- [2067437] Content server: Use the book title as the filename for downloaded highlights

- Review downloaded metadata dialog: Add a "Previous" button to go back to the last reviewed book

:: bug fixes

- Content server viewer: Fix the bottom of the text being cut off on mobile browsers when not in full screen mode. Unfortunately, this means the viewer now requires a browser no more than two years old.

- [2067168] Kindle driver: Increase the size of the cover thumbnails sent to the Scribe

- [1943495] Kindle output: Fix cover images that contain EXIF data without a rotation not displaying on the Kindle lockscreen

- E-book viewer: Fix ruby tags not excluded when searching for text

- [2067128] Content server viewer: Fix a regression in the previous release that broke searching

:: improved recipes
- Economist Espresso
- Slate

}}}

{{{ 7.11.0 2024-05-24

:: new features

- Kindle driver: Add support for sending cover thumbnails to the Kindle Scribe

- A new options under Preferences->Look & feel to draw covers with rounded corners

- [2064674] Bulk metadata edit: Add a new tab where you can create rules to transform tags/authors/publishers for the selected books

- [2065544] Tag browser context menu for Formats now has Open with menu items

- [2064665] E-book viewer: When hovering over the top/bottom margin show a button indicating that a click will open the viewer controls. Can be configured via The Headers and footers section of the viewer Preferences.

- Spell check dialog: Also show count of currently displayed words

:: bug fixes

- [2065249] E-book viewer: Fix searching not ignoring ruby text

- Edit book: Save the state of the current book when opening a new book via File->Open book

- [2064887] Edit book: Fix importing a list of words into a user dictionary not working

- EPUB3 metadata: Do not fail to read metadata in the presence on invalid calibre user metadata in the OPF file with empty keys

- Get books: Fix rules to map tags on adding books not being applied to books downloaded via Get books

- [2064792] Spellcheck dialog: Move the checkbox to hide correctly spelled words with the rest of the checkboxes that filter the word list

:: improved recipes
- Slate
- Wall Street Journal
- London Review of Books
- Economist
- Bloomberg
- Business Week
- The World Ahead
- National Geographic

:: new recipes
- Collider, Comic Book Archive, Make Use Of, MoviewWeb and ScreenRant by Spicy Poison
- Lex Fridman Podcast by unkn0wn

}}}

{{{ 7.10.0 2024-05-03

:: new features

- Export of calibre data: Ensure individual part files in the exported data are no larger than one gigabyte even
  if the library contains individual files larger than that size.

  Note that this means that exports created by calibre from this version
  on will not be importable by earlier versions. However, exports from
  earlier versions should still be importable.

- Edit book: Spell check: Add options to exclude words in ALL CAPS or with numbers or in camelCase/snake_case from the list of words

- Allow easily inverting the current search via the right click menu on the search box

:: bug fixes

- [2064546] Kobo driver: Fix database unsupported error with newest firmware

- [2063301] DOCX Input: Fix text elements containing only whitespace being incorrectly ignored

- Bulk metadata dialog: Do not fail when setting covers from ebook files and some of the files have invalid covers

:: improved recipes
- Economist
- The Week
- Caravan Magazine
- Financial Times

}}}

{{{ 7.9.0 2024-04-19

:: new features

- [2060886] Kobo driver: Add support for the new color Kobo devices

- Edit book: Add a setting to control cursor width under Preferences->Editor settings

- Edit book: Regex-function mode: Show a confirmation popup when closing the function editor when there are unsaved changes

:: bug fixes

- [2060314] Fix undocked Quickview dialog not being restored at startup

- [2044118] Windows: Fix an issue where closing a maximized calibre window to the system tray and then reconnecting with remote desktop would cause a blank calibre window to be displayed

:: improved recipes
- El Correo
- Eenadu
- ORFonline
- NatGeo
- Harpers Magazine
- New Yorker
- Business Today
- The Week
- Asahi Shimbun
- Outlook Magazine

}}}

{{{ 7.8.0 2024-04-05

:: new features

- [2057929] E-book viewer: Highlight panel: Allow filtering the shown highlights by type of highlight

- Conversion: Add support for the CSS text-transform property when subsetting embedded fonts

- [2060079] E-book viewer: Allow displaying the view mode paged/flow in the header/footer

- [2059162] Book details popup window: Allow dropping of files to add formats/set the cover just as for the book details panel

- [2058814] Book details: Context menu: Add a menu action to remove the associated link

- DOCX Input: Add role=doc-noteref for links to footnotes/endnotes so that they popup in more e-book readers

- Add a "Mark all selected books" to the Mark action.

- [2059169] Add "Hide Empty Categories" to tag browser configuration menu

- Supernote: Support for new device firmware

- Sort by tool:  Add an action to re-apply the current sort

:: bug fixes

- Grid view cover cache: Fix covers not loading when cache entries are stale

- [2058798] Conversion: Do not change viewport relative font sizes used for SVG text elements

- [2058798] Conversion: Fix <style> tags inside <svg> tags not being processed

- Get books: Update Kobo store plugin for website changes

- EPUB Input: Use a translated name for the cover page


:: improved recipes
- Caravan
- Global Times
- New York Review of Books
- Himal Southasian
- The Week
- CBC Canada

:: new recipes
- Bergfreunde Blog by VoHe
- Live Law and Politico.eu by unkn0wn
}}}

{{{ 7.7.0 2024-03-14

:: new features

- [2056116] Trim image: Allow specifying the size of the trim rectangle using numbers

- [2056664] Full text search: Allow pressing Ctrl+S to select the current book in the calibre book list

- Speed up scrolling through the book list book-by-book by only redrawing the book details panel when scrolling pauses

- Add a tweak under Preferences->Tweaks to set the first day of the week in popup calendars used to input dates

:: bug fixes

- [2056470] CHM Input: Handle CHM files with no HHC Table of Contents

- E-book viewer: Fix a few settings such as pages per screen and header/footers not being saved in profiles

- [2056614] Full text search: Ignore text inside <ruby> tags when indexing books

- DOCX Output: Preserve spaces around soft hyphens

- Book details popup: Copy the original cover image to the clipboard even when the image is rescaled to fit into view

- Fix changing disabled colors in the UI color palette overriding non-disabled colors

- Content server: Fix deletion of viewer profiles not working

:: improved recipes
- LiveMint
- Bloomberg
- National Geographic
- MIT Technology Review
- NY Review of Books
- Scientific American

}}}

{{{ 7.6.0 2024-03-01

:: new features

- [major 1979022] E-book viewer: Allow saving current settings in "profiles" that can be quickly and easily swapped between

  To create a profile or switch to a previously saved profile access "Profiles" from the viewer controls or press the `Alt+P` shortcut.

- [2053144] Edit book: Add a shortcut `Ctrl+M` to merge selected files

- Get books: Add support for Amazon Mexico

- A new toolbar button to show all available actions in sub menus. Can be added via `Preferences->Toolbars & menus`

- Edit book: Allow selecting multiple books to edit at once, opening all selected books in separate editor instances

:: bug fixes

- [2054617] Cover grid: Fix dragging the mouse while holding shift to extend the selection not working well

- [2054934] E-book viewer: Fix doing a multi-page selections sometimes causing the start of the selection to move backwards

- Edit book: Live CSS: Fix regression causing incorrect colors in calibre 7

- Windows: Fix a regression in calibre 7 that caused images in long text columns to not be displayed in the tooltip for the column

- Fix disabled items in menus having blurry text

- Content server: Fix a regression in the previous release that caused an error when doing a search/sort on some browsers

:: improved recipes
- New Yorker
- Moneycontrol
- Swarajya Mag
- nautil.us
- Pro Physik

:: new recipes
- The Week UK by unkn0wn
- Andhrajyothy by unkn0wn
}}}

{{{ 7.5.1 2024-02-09

:: new features

- Allow fine tuning the colors used in the calibre interface via Preference->Look & feel->Main interface->User interface colors

  Note that calibre no longer follows system colors on Linux in light mode (the only place where it used to follow system colors). However,
  there is a convenient button in the manage colors dialog to import the system colors.

- [2052462] Full text search window: Add actions to the context menu to open the book at the clicked on result. Also allow using the view book shortcut to open the currently selected search result

- [2052460] When showing the Full text search dialog, pre populate the search box with the contents of the main calibre search box if the main search box contains a simple search

:: bug fixes

- Windows: Fix a regression in 7.0 that caused images referring to files on the disk within comments columns to not display in some circumstances

- E-book viewer: Fix clock showing hour as zero instead of 12 between 12 and 1 am/pm

- [2050100] Edit book: When wrapping selected text in a tag, preserve the selection after wrapping

- [2050075] Content server: Fix a periodic spurious error message when reading books in offline mode

- Fix a regression in 7.0 caused by a regression in Qt that would result in calibre hanging rarely when using the cover browser view

- [2049992] Fix custom template functions not useable in save to disk templates

- Fix a regression in 7.2 that caused the popup used for editing fields in the book list to be mis-positioned on very wide monitors

- [2052766] Version 7.5.1 fixes a bug in 7.5.0 where calibre would not start up using dark colors when the system was in dark mode on some windows installs and another bug that could cause errors when using cover grid mode with covers stored in CMYK colorspace

:: improved recipes
- El Diplo
- Science News
- Barrons
- Financial Times
- Business Today
- Le Monde
- Scientific American

:: new recipes
- ugeskriftet by morusn
- Martin Fowler and Gitbug Blogs by Lucas Lois
}}}

{{{ 7.4.0 2024-01-19

:: new features

- Add support for the Supernote A6X2

- Narrow layout: Place the cover browser above the book list when the window has a narrow aspect ratio. Can be controlled via Preferences->Look & feel->Cover browser

- [2046825] Category notes browser: Add a button to search for books in the currently selected category

- Keyboard shortcut to toggle main window layout (Alt+Shift+L)

- Add the possibility to assign keyboard shortcuts to the tag browser sort functions

:: bug fixes

- Fix a regression in the previous release that caused the cover browser to not close when it is used as a separate window

- Fix a regression in the previous release that caused comments in the Book details panel to be rendered below rather than at the side of the other information

- Edit book: Fix highlighting of special character not changed immediately after it is edited, only after a subsequent action

- Move Preferences to the left in the default toolbar, making it less likely to be hidden behind an expander button on small screens

:: improved recipes
- LiveMint
- Foreign Policy
- New Scientist

}}}

{{{ 7.3.0 2024-01-05

:: new features

- Tag browser: Allow displaying buttons next to items that have notes or links for easy access. To enable these use Preferences->Look & feel->Tag browser

- Font subsetting: Preserve all OpenType layout features. This makes the subset font files larger but ensures there is no visual degradation when using the subsetted font files in different contexts.

:: bug fixes

- macOS: Fix main calibre window not remembering its size on restart

- Edit book: Fix the "Show changes" window moving down by a few pixels every time it is opened

- [2047257] Amazon metadata download: Fixes for various changes to amazon website markup

- [2047181] E-book viewer: When looking up words via Google in Europe pre-approve the GDPR consent cookie

- [2046673] Windows: Content server: Fix regression in previous release that broke testing for local connections

- Windows: Fix a regression that caused selections in the Book details panel to be invisible

:: improved recipes
- Foreign Policy
- Business Standard
- Il Post
- Indian Express
- Washington Post

:: new recipes
- Hindustan Times Print Edition by unkn0wn
}}}

{{{ 7.2.0 2023-12-15

:: new features

- Content server: Also listen for all incoming IPv6 connections by default, not just IPv4

- Book details: Allow deleting notes from the right click menu easily

:: bug fixes

- [2045133] Windows: Edit book: Fix a crash when using the check book tool with a book that contains malformed markup, in calibre 7

- Windows: Improve flickering at startup due to a Qt regression in calibre 7

- Windows: Fix moving the main window causing popup/floating windows to be resized in calibre 7 due to yet another Qt regression

- [2044659] Fix detection of existing books on the Tolino Vision 6

- Linux: Fix external applications not being launched under Wayland in calibre 7 because of a bug in Qt

- Linux: Fix network requests failing under Fedora in calibre 7

:: improved recipes
- Reuters
- Scientific American
- New Yorker
- Times of India
- infzm
- singtaohk

}}}

{{{ 7.1.0 2023-11-23

:: new features

- Notes editor: When pasting HTML with images offer to download remote images in the pasted content

:: bug fixes

- Fix regression in 7.0 that broke restore of db from backups

- Content server: Fix newly added books on homepage not restricted to the books the logged in user is allowed to access

- [2044118] When starting in system tray do not flash the main window briefly

- Notes editor: Fix spurious error message when saving a note that contains pasted HTML that refers to an image

- [2043998] Fix a regression that caused the unknown/unset date to incorrectly be displayed/edited as a date in the year AD 101 in some timezones

- Comments editor: Fix data file links not working

- Linux installer: Check that the user has libxcb-cursor.so.0 installed. If not quit early with an error message asking them to install it

- [2044408] LRF Output: Fix a regression in 7.0 that broke conversion to LRF

:: improved recipes
- Substack

:: new recipes
- The World Ahead by unkn0wn

}}}

{{{ 7.0.0 2023-11-17

:: new features

- [major] For details on the major changes in calibre between 7.0 and 6.0, see https://calibre-ebook.com/new-in/sixteen

- [major] The ability to add notes to any author, tag, series, etc. in calibre with links and images

- [2040487] E-book viewer: Add support for HTML image maps

- Content server home page: Show the three most recently added books in the default library

- Content server: Add button to return to book details page at top level of controls

- Content server: Book details: Open links in comments fields in the same window rather than a new window

- Add a "Show items in selected books" choice to Manage tags and Manage authors

- [2042804] Show the previously used language, if any, second in the language selection drop down

:: bug fixes

- [2043415] Metadata download: Fix downloads from Google not working in Europe because of the GDPR

- [2042815] Fix editing dates with days sometimes off by one day

- Edit book: Fix highlighting for special characters not visible when the cursor is on the line with the special character

- [2043248] Fix embedding metadata showing infinite error dialogs on windows if a file is locked by another program

- [2040074] PDF Output: Fix an error when trying to set header or footer with an input document that has invalid content after the main body

- [2042791] E-book viewer: Read aloud: Fix clicking on empty spaces causing read aloud to restart from beginning of chapter

- Book details: Fix Manage authors via context menu not working

- [2041848] E-book viewer: Showing chrome should close an active footnote popup first and only show chrome if the user repeats the action

- [2041745] Fix very slow metadata updates on some PDF files

- [1262875] Catalogs: Do not erase any tags the user adds to a catalog book entry when the catalog is re-generated

- [2042748] Linux installer: Fix downloading of signatures for older versions

- [2041357] Fix editing non-active Virtual library changes sort of book list

:: improved recipes
- Financial Times
- National Geographic
- Hamilton Spectator
- Times of India
- MIT Tech Review
- Bloomberg
- Washington Post
- Project Syndicate
- Cumhuriyet
- Foreign Affairs
- Harvard Business Review
- Wall Street Journal

:: new recipes
- Bookforum, Kirkus Reviews and Poetry Magazine by ping

}}}

{{{ 6.29.0 2023-10-20

:: new features

- [2038760] E-book viewer: Add a command line flag --new-instance to force the viewer to open a new window even if the option to always use a single viewer window is set

- [2038862] E-book viewer: Image popup: Add a checkbox to remember the last used zoom level

:: bug fixes

- [2039336] Annotations browser: Fix exporting highlights in markdown not including all chapter titles for books with only a single highlight per chapter or a multi level ToC

- [2038747] E-book viewer: Fix a regression that could cause the viewer to enter an infinite loop when displaying the result of a search that has only one match that is not found

- [2038747] E-book viewer: Fix the occasional search result being marked as not found even though it is found

- [2039474] TXTZ Output plugin: Only keep images if the text format is one that can reference images

- [2038848] TXTZ Output: Fix cover not being properly identified in the generated TXTZ metadata

- [2038575] FB2 Input: Fix the "Annotations" section not showing up in the Table of Contents

- [2039395] Linux: Content server: Do not call listen on pre-activated sockets

- Fix sort order of similarly-named hierarchical categories

- [2038778] Fix a regression that broke reading of covers from HTMLZ and TXTZ files

:: improved recipes
- Wall Street Journal
- Scientific American
- 1843
- Financial Times
- Spectator Magazine
- El Diplo
- Wasshington Post
- national Geographic

:: new recipes
- Project Syndicate, Scroll.in and Newslaundry by unkn0wn
}}}

{{{ 6.28.1 2023-10-07

:: new features

- Edit book: Show full path to book being edited in the status bar

- Edit book: When adding dictionaries allow directly a LibreOffice adding the dictionary just by choosing the language

- Edit book: When saving a copy add some convenience actions to edit the copy immediately either in the current editor window or a new window

- E-book viewer: Highlights panel: Allow right clicking to export only selected highlights

:: bug fixes

- [2034900] Edit book: Fix a regression in the previous release that caused Text search to sometimes not select matches correctly

- [2037198] Edit book: When copying files do it in order so that the files are pasted in the same order when pasting into another editor instance

- Edit book: Fix smart tag insert not working correctly if the selected text starts with the closing angle bracket of a tag

- [2038238] Save to disk: Do not limit the total path length to 240 characters on non-Windows platforms

- [2037898] Fix incorrect cover for AZW3 version of calibre User Manual

- [2029723] Content server: Change formatting of book details to match new de-emphasized titles based formatting in the main calibre program

- PDF metadata: Fix a regression that broke updating metadata in PDF files without an /Info dictionary

- NOOK driver: For the Glowlight 2023 write the calibre metadata files into the NOOK sub-folder as the firmware does not allow writing files into the root folder

- NOOK driver: Fix Glowlight 2023 not being detected on Linux and macOS

- [2037454] E-book viewer: Make CFI calculation more robust especially on pages with very little content

- [2037543] E-book viewer: Workaround bug in Chromium where getBoundingClientRect() fails sometimes leading to incorrect calculation of anchor positions

- [2037237] Fix errors caused by .DS_Store files inserted into the .caltrash directory on macOS if the user happens to open .caltrash in Finder

- Version 6.28.1 fixes a regression in 6.28.0 that could cause errors when merging some book records in calibre

:: improved recipes
- National Geographic
- Bloomberg
- Endgadget
- Times of India
- Horizons

:: new recipes
- Business Standard Print Edition by unkn0wn

}}}

{{{ 6.27.0 2023-09-22

:: new features

- [2034954] Kobo driver: Support updated firmware

- Nook driver: Add support for Nook Glowlight Plus 2023

- Data files manager: Allow drag and drop of files onto the list of files to add new files

- [2036266] Support 7z archives in addition to ZIP and RAR for automatic ebook extraction when adding to calibre

- Linux/macOS: Fix detection of the Kindle Scribe with MTP firmware

- [2034760] E-book viewer: Allow clearing list of recently opened books from the open button's popup menu itself

- [2034905] E-book viewer: Add a link to show the currently viewed book in the calibre library (Go to->Metadata in the viewer controls to access it)

:: bug fixes

- [2034999] Book information dialog: Fix a regression that caused incorrect color for titles in dark mode

- [2034977] E-book viewer: Fix searching does not jump to first match if all matches are before current position in book

- [2035579] EPUB Output: Fix duplicated title page entry in spine for books that define a title page that ends up getting split

- Allow for-light/dark-theme icon overrides to work for plugin icons placed by the user in the override folder

- [2035338] PDF Output: Fix background image + text not rendering correctly if the same background image is used with different text multiple times

- [2034968] E-book viewer: Fix section titles in highlights panel being incorrectly expanded to full titles when the section has multiple highlights

- [2035039] Prevent Quickview window from opening in the background

- [2034900] Edit book: Fix a regression in the previous release that caused an error when doing text based searches

:: improved recipes
- Ambito
- Financial Times
- USA Today

:: new recipes
- Times of India Print Edition by unkn0wn
- Hindu Feeds based by unkn0wn
- Australian Financial Review by unkn0wn
}}}

{{{ 6.26.0 2023-09-08

:: new features

- MTP driver: Support the new Kindle Scribe firmware that causes it to act as an MTP device instead of USB disk. Add "Documents" to the list of default folders to send books to

- E-book viewer: Add a new option under scrolling behavior to control horizontal mouse wheel events jumping to next section

- Allow full customization of Book details styling via Preferences->Look & feel->Book details

:: bug fixes

- [2023046] Get books: Update ebooks.com plugin for website changes

- Edit book: Fix searching for non-BMP unicode characters highlighting only half the character

- [2034075] E-book viewer: Fix displaying more than one page per screen causing page layout to be slightly wrong for some books

- [2034404] E-book viewer: Fix clicking on links with empty destinations hanging the viewer

- [2033981] E-book viewer: Fix modifying, then jumping to and then modifying the highlight again from the highlights panel causing the highlight to be deleted

- [2033205] E-book viewer: Fix indication of current section in Table of Contents sometimes wrong after changing font size

- [2033530] E-book viewer/Content server: Disallow browser native context menu when right clicking in sandboxed iframes

- MTP driver: Ignore top level folders whose names start with a leading dot Also ignore AppleDouble files, top level system and fonts folders and sdr folders on Kindle devices

- [2033074] FB2 Input: use the <p> tag for paragraphs that don't contain other block content

- [2033118] E-book viewer: Fix clicking on the back/forward buttons not working in some situations

- [2032974] E-book viewer: Fix scrolling to Table of Contents items that are within a single internal file not activating the back button

- [2032694] E-book viewer: Fix changing the sans-serif font without also changing the monospaced font not working

:: improved recipes
- National Geographic
- Sportstar
- Bangkok Post
- MIT Technology Review
- Bloomberg
- Economic Times India
- Firstpost

:: new recipes
- Nikkei Asia (Magazine) and Espresso by unkn0w7n
}}}

{{{ 6.25.0 2023-08-18

:: new features

- [2029723] Book details panel: De-emphasize titles making the actual data stand out more

- Allow using the new manage data files dialog from within the edit metadata dialog

- [2030342] Trash dialog: Allow right clicking on an entry to save it to disk

- [2027794] When merging books by drag-and-drop add an option to use the dragged cover instead of the cover in the target book

- [2031571] Create catalog: Add buttons to easily select all/non/visible fields when creating CSV/XML catalogs

- [2031570] Preferences->Add your own columns: Add buttons to show/hide all columns

:: bug fixes

- [2031341] Fix a regression in the previous release that broke parsing of some ISO-8601 timestamps

- [2030671] E-book viewer: Mouse wheel horizontal events should jump sections not internal file boundaries

- [2031569] Fix Preferences->Add your own columns changing check state on moving columns

- Get books: update various Polish e-book stores for website changes

- [2029521] E-book viewer: Fix CFI parsing of numbers with trailing zeros causing some bookmarks to not work

- [2029521] E-book viewer: Show an error when creating a bookmark if the bookmark position is not found

- [2031047] CBR Input: Fix comics with extremely long internal filenames not working on Windows

- Edit book: Saved searches: Fix incorrect import in generated source code for some builtin functions

- Data file manager: Fix errors on systems with larger font sizes

:: improved recipes
- Bloomberg
- Focus
- Epoch Times
- Hindu
- Business Today
- NYTimes

:: new recipes
- The Oldie by Sophist
- Various new Russian and Ukrainian news sources
}}}

{{{ 6.24.0 2023-08-04

:: new features

- [2023509] Easily manage the extra data files associated with a book by right clicking the edit metadata button and choose "Manage data files"

- [2028216] Content server: Full text search: Allow searching a restricted subset of books

- [2029014] E-book viewer: Allow clicking on calibre:// URLs

- [2027727] Support fuzzier searching in the Tag browser find allowing unaccented characters to match accented ones

:: bug fixes

- [2028404] DOCX conversion: Preserve underline style and color

- Fix incorrect sorting of device view after some operations

- [2023737] Fix visit content server in browser not working when the content server is configured to listen on an IPv6 interface

- [2028019] Fix one hour offset in some timezones on Windows for dates before 1970

- [2027763] Windows: HTML Input: Fix error when trying to add HTML files with links to other files that are invalid pathnames

- Get books: Update various Polish language book stores for website changes

:: improved recipes
- Epoch Times
- Business Standard
- Tagesspiegel
- Bloomberg Business Week
- MIT Technology Review
- Live Mint
- Private Eye

:: new recipes
- The New Republic Magazine by ping
- Inc42 by unkn0w7n
}}}

{{{ 6.23.0 2023-07-14

:: new features

- [2025942] PDF Output: Add an option to discard the book cover instead of inserting it as the first page of the PDF

- [2025333] Content server: Allow opening the Book details page for a matched book from the Full text search results page

:: bug fixes

- Windows: Fix empty data folder getting created in the directory calibre is launched from when changing title/author for a book with an existing data folder

- [2026795] LIT Output: Fix error converting anything to LIT on Windows

- Ignore failures to expire old trash during startup

- [2025786] Amazon metadata download: Fix retrieval of publisher information from amazon.fr

:: improved recipes
- Guardian & Observer
- Washington Post
- Private Eye
- Associated Press

:: new recipes
- ThePressProject by Sotiris Papatheodorou
}}}

{{{ 6.22.0 2023-06-30

:: new features

- Kobo driver: Add support for newest firmware

- [2023604] Trash bin: Allow setting removed books to be permanently deleted on library close

- Windows: Nicer error message when file/folder is locked in another program

:: bug fixes

- PDF Output: Fix regression that caused large slowdowns when converting books with lots of internal HTML files to PDF

- [2024139] CHM Input: Fix ToC entries that use fragments not supported

- E-book viewer: Fix searching for text next to hidden text not scrolling to the match

- [2024375] E-book viewer: Fix selection popup not showing for some books on some platforms when the selection is in the top line

- [2024433] DOCX Output: Fix multiple SVG images in the input document causing all the SVG images in the output to be just one of the input images

- [2023943] MOBI Input: Ignore another form of corruption in trailing bytes

:: improved recipes
- Foreign Affairs
- Nature
- Bloomberg
- LiveMint
- Hindu and Hindu Business Line
- Deautsche Welle
- Horizons
- Indian Express
- Psych
- Harper's Magazine

:: new recipes
- Radio Canada by quatorze
- Deutschland Funk by Armin Geller
}}}

{{{ 6.21.0 2023-06-13

:: new features

- DOCX Output: Add support for SVG images

  Now the generated DOCX will contain both the rasterized version of the SVG
  image and the original SVG image as the preferred source, which is supported
  by modern versions of Word.

- [2023367] E-book viewer: Allow configuring the actions triggered by touch gestures

- DOCX Input: Add support for SVG images

:: bug fixes

- Windows: Fix a regression in the previous release that could cause files to be deleted if one of the files/folders was open in another program while changing title/author in calibre

- [2023395] macOS: Fix extra dock icons visible when doing a job using Qt WebEngine such as converting to PDF or searching in Get books

- [2023476] macOS and Linux: Fix an error when changing metadata or deleting books whose files are owned by another user

- [2023377] CHM Input: Yet another regression opening CHM files with missing internal files on windows

- [2023431] CHM Input: Resolve absolute links to resource files from the root of the CHM file

:: improved recipes
- Guardian & Observer
- Harper's Magazine Print recipe
- Live Mint

:: new recipes
- The India Forum by unkn0wn

}}}

{{{ 6.20.0 2023-06-09

:: bug fixes

- [2021413] CHM Input: Fix a regression in the previous release that broke conversion of CHM files

- Windows: Make moving files in the calibre library folder more robust, locking folders in addition to files, before the start of the move

- [2023046] Get books: Update Barnes and Noble store plugin for website changes

- [2023189] Kindle output: Only re-encode JPEG images with EXIF metadata if the metadata contains actual transpose operations

- [2023041] PDF Output: Fix error when input document contains multiple instances of a font some with vertical metrics and some without

- PDF Output: Fix using CSS Multicolumns for body causing conversion to fail when header/footer is specified

- [2022035] MOBI Input: Fix a crash when converting some corrupted palmdoc compressed MOBI files

- [2021554] E-book viewer: Ensure CSS stylesheets are interpreted as UTF-8

:: improved recipes
- Foreign Affairs

:: new recipes
- Prospect Magazine UK (Free) by ping
}}}

{{{ 6.19.1 2023-05-29

:: new features

- HTML Input: Restrict adding of resources like images to only files within the folder hierarchy starting at the parent folder of the root HTML file
  Can be controlled by customizing the HTML to Zip plugin in Preferences->Plugins or the --allow-local-files-outside-root option to the
  ebook-convert command

:: bug fixes

- PDF Output: Fix regression in previous release causing non-English entries to be incorrectly encoded into the PDF bookmarks

- PDF Output: Fix regression in previous release that caused blank pages when generating headers or footers

- [2021367] Book list: Fix editing-in-place not pre-selecting existing text for some column types

- Amazon.de metadata download: Update for site changes

- PDF Output: Set /Creator and /Producer in /Info

- [2020906] Fix row height incorrect in Manage category dialog when blank

- [2021452] 6.19.1 fixes a bug in 6.19.0 that broke the edit metadata dialog

}}}

{{{ 6.18.1 2023-05-26

:: new features

- [2020603] Cover download: Allowing saving alternate covers to disk or in the book's data folder by right clicking on the cover

- [2020237] Content server: Allow disabling full text search via the web interface

- [2020233] When sending books to the device confirm the overwrite if the book already exists on the device

- E-book viewer: Handle horizontal wheel events as section jumps in paged mode

- Comic Input: When grayscaling comic images use 16bit gray instead of 8bit for better fidelity

  When using the PNG format for images this results in larger files but with better grayscaling fidelity.

- Add a new option in Preferences->Searching to disable keyboard searching in book list (i.e. you can turn off the behavior that pressing a key will jump to the first book whose title starts with that letter)

- [2018423] Manage categories dialog: Use alternating row colors and allow adjusting row height

- Allow assigning a keyboard shortcut in Preferences->Shortcuts to open the data folder of a book

- Various improvements to syntax highlighting for the Markdown long text editor

:: bug fixes

- [2018025] Fix a regression in 6.16 that broke restoring of the database

- Tag browser: Fix using F2 to edit items not allowing completion

- Book details: Fix formatting of text when copying all book details in narrow mode

- Book details: Fix copy all not respecting line breaks in fields

- [2018660] Fix a regression in previous release that broke scrolling when using the scroll_per_row tweak

- [2018548] Fix a regression in the previous release that broke the category manager dialog in some situations

- 6.18.1 fixes a regression that broke setting metadata and generating PDF files in the macOS and Linux binary builds


:: improved recipes
- NYTimes
- Economist
- Washington Post
- Irish Independent and Irish Times
- Live Mint
- Psych
- Hindu

:: new recipes
- Irish Times Free by unkn0wn
- elEconomista.es and El Confidencial by Hugo Meza

}}}

{{{ 6.17.0 2023-04-26

:: new features

- Font subsetting: Add support for WOFF format fonts and CID keyed fonts. Also further reduce file sizes when subsetting

- Book details: Show a link to open the data files folder when data files are present

- Template language: Add various functions to query the extra files associated with a book

- [2017195] Edit book: Compress images: Support compression of images in the WEBP format as well

- Comments editor: Add buttons to create links to data files and also to folders easily when inserting a link

- Allow displaying the id, formats and path builtin columns via Preferences->Add your own columns

- [2017232] Trash bin: Add a button to clear the bin

- Metadata editor: Use a dedicated editor with preview for custom columns that store Markdown formatted text

:: bug fixes

- Fix a regression in the previous release that could result in empty author folders remaining in the library when the author of a book is changed

- [2017373] Fix the data files associated with a book not being handled when using the Merge books and Copy to library functions

- Fix a regression in the previous release that broke some operations in the Manage tags/authors/etc. dialogs

- [2017217] Ensure metadata.opf is always written when deleting book even if it is not sequenced for backup

:: improved recipes
- Scientific American

}}}

{{{ 6.16.0 2023-04-20

:: new features

- [major] Allow storing extra data files with a book

  Right click the Add books button to add arbitrary files as "data files" to a book record.
  These are managed by calibre along with the book files, but cannot be used for conversion/viewing.
  Select a book and press the "O" key to view the data files in your file explorer.

- Allow undoing the deletion of books from the calibre library

  Now deleted books are stored in a calibre "Trash bin" from which they can be restored with
  a single click. To view the trash bin, right click the "Remove books" button.

- [2016070] Kobo driver: Add support for the new Kobo Elipsa 2E

- Book details: if an item has an associated link then offer that link in the item's context menu


:: bug fixes

- [2015617] Content server viewer: Fix end of chapter content being occasionally skipped when scrolling by screen full with multiple pages

- [2017130] E-book viewer: Fix a regression that caused notes from a different highlights to be shown in some situations

- [2015795] E-book viewer: Show an error if the user tries to search for only punctuation or spaces in the search modes that ignore these

- Fix custom columns not showing in Book details links from other libraries

:: improved recipes
- Frontline
- Outlook Magazine

:: new recipes
- Bar and Bench by unkn0wn
- The Washington Post Print Edition by unkn0wn
}}}

{{{ 6.15.1 2023-04-07

:: new features

- Allow adding external links to tags, series, publishers, etcetera in addition to authors

  The links show up as click-able icons in the book details panel. They can be set by right clicking the
  author/tag/etc. in the Tag browser and choosing "Manage"

- calibre:// URL scheme: Add support for a new type of URL that pops up the metadata of the specified book in a new window

  Works even with books not in the current library. See https://manual.calibre-ebook.com/url_scheme.html#open-a-book-details-window-on-a-book-in-some-library for details

- EPUB Output: Do not shrink images to fit the screen size by default, as modern readers do this themselves well enough. Can be controlled via an option in the EPUB Output section of the conversion dialog

- Edit metadata dialog: Add buttons to pop up the category editing windows easily

- [2012304] Metadata download: Allow specifying rules to transform publisher names in addition to author and tag names

- [2007764] Edit metadata dialog: Use both a colored border and an icon to indicate errors in line edits

- A new tweak in Preferences->Tweaks to control what program is run when clicking on URLs in calibre

:: bug fixes

- [2009586] E-book viewer: Fix a regression that caused incorrect highlight collision detection in some books

- E-book viewer: Fix images embedded inside SVG tags not available for viewing in a pop-up

- [2013972] DOCX Input: Do not ignore images that are present as fallbacks for a word drawing object

- Comic Input: When converting grayscaled PNG images to PNG ensure output images are stored as indexed PNG

- [2012797] Fix active tab not easy to distinguish in dark mode

- [2011755] Content server: Fix re-opening book from home page after making progress not opening to correct last read position when a user is logged in

- [2012760] Comments editor: When copying to clipboard, copy clean HTML rather than the junk Qt produces

- Version 6.15.1 fixes an issue with the new URL scheme popping up incorrect book details windows

:: improved recipes
- Saechsische Zeitung
- LA Times
- Mediapart
- Live Mint
- The Hindu

:: new recipes
- Tehelka by Areet Mahadevan
- The Wire by unkn0wn

}}}

{{{ 6.14.1 2023-03-16

:: new features

- [2007765] Edit metadata: When setting a cover from comic files allow choosing which page to use as the cover

- [2009304] Allow display of columns built from other columns as comments in Book details

- Comments editor: Add a shortcut for "Paste and match style" (Ctrl+Shift+V)

:: bug fixes

- [2004639] macOS: ToC Editor: Fix mouse becoming unusable when trying to create a new entry

- When computing title sorts strip leading and trailing quotes, not just leading quotes

- [2009268] Content server viewer: Fix searching only showing results from the current chapter onwards

- [2009735] Check book: Fix some incorrect line numbers reported in a few CSS error messages

- Fix regression in 6.14.0 that caused some generated resources to be excluded from the calibre source bundle

- [2011586] Fix regression in 6.14.0 that broke using paths with single quotes in them for the calibre library

- Fix ToC Editor on macOS in 6.14.0 not working inside the Edit book tool only

:: improved recipes
- Strange Horizons
- The Saturday Paper
- New Scientist
- The Mainichi
- DR Nyheder
- New York Magazine
- Bloomberg
- Deccan Herald
}}}

{{{ 6.13.0 2023-02-17

:: new features

- Content server: E-book viewer: Long tapping on an image now causes it to be displayed in an internal popup rather than a new window as some browsers block the creation of new windows

:: bug fixes

- E-book viewer: Fix some adjacent highlights with nothing in between them not being displayed.

- [2006726] Content server: Workaround for Safari regression causing bookmarks to disappear on reload

- [2007039] E-book viewer: Read aloud: Fix a regression in the previous release that caused the Read aloud controls to not reappear when Read aloud is canceled and restarted

- [2006062] E-book viewer: Read aloud: Fix a regression in the previous release that caused an error when using Read aloud on a chapter with no text, such as the cover page

- E-book viewer: Fix a regression that caused a spurious error on Windows when reading out selected text

- [2007165] Fix a regression in calibre 5.0 that broke sorting the device view by title if one of the books has an empty title

- Edit book: Spell Check dialog: Fix second word not getting selected when after first word is fixed

- [2004621] Improve hover highlight color in tree views

:: improved recipes
- CNN
- Bloomberg

:: new recipes
- The Economist Espresso by unkn0wn
- Science X by unkn0wn
- Horizons by unkn0wn
- Deccan Herald by unkn0wn
- The Monthly by unkn0wn
}}}

{{{ 6.12.0 2023-02-03

:: new features

- E-book viewer: Read aloud: On Windows switch to using the new Microsoft speech subsystem with access to more voices

  Note that this means that old voice, speed and audio devices setting will not be used so a reconfiguration might be needed.

- [2003712] calibre:// URL scheme: allow specifying a Virtual library for show_book URLs

- [2003227] Add by ISBN: Allow adding using identifiers other than ISBN as well

- Update bundled Qt to 6.4 this means calibre on macOS is now only supported on Big Sur and newer

- Spell check dialog: Allow up and down arrow keys to work regardless of focus

- [2002257] Allow multiple Template tester dialogs

:: bug fixes

- Windows MTP device driver: Ignore failure to enumerate objects inside non-root folders

  There are apparently a lot of devices out there that fail in this way.
  So rather than aborting the scan simply ignore the folder.

- Book list: Fix a regression in the previous release that broke dragging to select multiple books

- [2004197] Content server viewer: Fix reload book not actually reloading until the browser is also refreshed

- [2003916] E-book viewer: Fix occasional false warning about highlight being overwritten

- [2003908] E-book viewer: Fix detection of selected highlights when all text is selected

- [2003729] Fix an error when embedding metadata into a large number of books

- [2004522] When updating metadata in EPUB 2 files and no language is specified, do not remove the <dc:language> tag as this causes epubcheck to complain. Instead set the language to "und"

- [2004083] Wireless device driver: Remove the timeout for initial connection

- [2003652] Use an icon rather than a color to report errors in fields and the search box

- Conversion dialog: Regex builder: Workaround bug in Qt that prevented searching for non breaking spaces in the wizard used to test search expressions

- [2002864] Spell check dialog: move down after correcting word, not up

- [2002534] Get books: Fix Mobileread store plugin not working

:: improved recipes
- Jerusalem Post
- LiveMint
- The Seattle Times
- India Today
- Outlook Magazine
- Live Mint
- Irish Independent
- Irish Times

:: new recipes
- Boston Globe Print Edition by unkn0wn
- Observer Reach Foundation by unkn0wn
}}}

{{{ 6.11.0 2023-01-06

:: new features

- Edit book: Check book: Allow automatic fixing of various simple CSS errors

- E-book viewer: When Read aloud is speaking, make the control bar translucent so that words under the bar are visible

- Edit book: Switch to a new library (stylelint) for find problems in CSS as the old library was no longer maintained.

- Edit book: File browser: Allow using keyboard shortcuts to re-order the spine

- [1982532] calibredb list: Allow specifying multiple fields for --sort-by

- [2000037] Check library: Allow opening the book folder easily

:: bug fixes

- Fix windows not being moved onto the current monitor when they were previously visible on a removed monitor that was to the left of the current monitor

- [1999995] Book list: Fix a regression in the previous release that broke drag and drop of multiple books

- [2000877] Fix detection of Tolino Vision 6 on macOS/Linux

- [2001880] Content server: Fix auto full screen not working when continuing to read books with user account enabled

- Edit book: Set semantics: Fix error when setting the "Notes" semantic

- [1999956] HTMLZ output: Fix images referred to in CSS stylesheets not being converted

- [2000881] Book details panel: Fix HTML comment tags in the comments breaking display of book details

- Content server home page: When showing recently read books from across devices hide the entries for which loading the cover fails

- Windows Text-to-speech: Do not fail to configure if one of the voices has no defined language

- Fix a regression in calibre 5 that broke using a file for the --extra-css option of ebook-convert

- Content server FTS: Fix page header bar not visible

- Content server: Fix identifiers from third party metadata download plugins not becoming clickable links on the book details page

- Edit book: Warn when saving will overwrite a read-only file

- Fix restoring geometry of maximized/fullscreen dialogs forcing them visible

- [1999936] Fix a regression in the previous release that caused spurious error message when doing some out of band searches

- Fix a regression in the previous release that broke choosing new programs for the Open with function

:: improved recipes
- PC World
- HNA
- Caravan Magazine
- Harvard Business Review
- Various Israeli news sources

:: new recipes
- NHK News - by Richard A. Steps
- Globes in English by barakplasma
}}}

{{{ 6.10.0 2022-12-16

:: new features

- [major] Content server: Add support for searching the full text of books. Simply click the FTS link on the search page to start a full text search.

- [1998557] Content server: When using user accounts, the homepage now shows recently read books from any device not just the current device

- [1999685] Kobo driver: Bump the max supported firmware version

- [1998780] Conversion: New Output profile for the Kindle Scribe

- [1998705] Check library: Allow ignoring folder names as well as files names

:: bug fixes

- [1999349] Edit book: Fix various formatting operations not inserting the tags in the correct place in the presence of non-BMP characters

- Edit book: Use <s> instead of <strike> for strikethrough

- [1998899] Edit book: Fix export saved search to search panel not preserving the wrap checkbox state

- [1998767] Content server: Redirect the index page to always have trailing slash when using URL prefixes

- Book list: Workaround for change in Qt 6 behavior where clicking on an already selected row does not deselect other rows

- [1998165] Windows: Fix a regression in calibre 6 causing Open with to not extract icons from EXE files

:: improved recipes
- Indian Express
- Financial Times
- TIME Magazine
- Hindu Business Line Print Edition
- Arts and Letters Daily
- Frontline
- Sportstar
- New Yorker

:: new recipes
- Fokus by Henrik Holm
- Press Information Bureau by unkn0wn
- Himal Southasian by unkn0wn
- Indian Express Print Edition by unkn0wn
}}}

{{{ 6.9.0 2022-11-25

:: new features

- E-book viewer: When exporting highlights as plain text include titles from chapters at all levels not just the first level

- Edit book: Reports: Show the number of words per file in the Files section of the report

- Windows builds: sign DLLs in addition to EXEs to make Microsoft's new "Smart App Control" tool happy

- Sending by email: When adding comments also add series

- [1990730] Nook driver: Put files in NOOK/Books instead of NOOK/My Files on recent nook devices so they are all listed in one place in the NOOK UI

- calibredb list: Allow using a template as one of the returned fields

- Tag browser: Add context menu action to turn on/off sub-categorization for a category

:: bug fixes

- [1996802] Merging books: Fix title sort not being updated when the title is updated

- Content server viewer: Fix incorrect sorting of highlights in the same paragraph

- Content server viewer: When exporting highlights as text include chapter titles

- Improve rendering of the separator handle dots introduced in the previous release

- Edit book: Fix regression in previous release causing applying any container update marking all open image editors as modified

- Fix a regression in the previous release that caused copying book details to clipboard to use unix line endings on windows

:: improved recipes
- Bloomberg
- The Globe and Mail
- Spectator Magazine
- The New York Times
- The Hindu
- MIT Technology Review

}}}

{{{ 6.8.0 2022-11-04

:: new features

- Allow customizing the buttons available to the right of the search bar in the main calibre window via Preferences->Toolbars & menus->The buttons on the searchbar

- [1994065] Book details panel: Allow adjusting the space used by the cover with a splitter

- Make splitter handles more visible in the calibre UI style

- [1994136] When sending by email to Kindle do not include the author in the filename as Amazon is currently reading the author from the file metadata but not the title

:: bug fixes

- [1993051] Book list: Fix incorrect rendering of yes/no icons when they are configured to have only two values

- [1990730] Nook driver: Send books to the NOOK folder for the 2021 Nook model as well

- Improve performance in very large libraries of various UI operations such as right clicking, marking books, etc.

- Fix edit metadata dialog not remembering its position and improve how calibre restores window position and size on multi-monitor systems

- Conversion: Fix CSS styles applied to SVG elements being discarded

- [1995551] EPUB Input: Fix empty Adobe page number template file causing conversion to fail

- [1995214] E-book viewer: Fix rendering of comments in metadata display when using a dark color scheme

- [1994988] AZW3 Input: Fix svg images that use a prefix for the SVG namespace not being recognized

- Edit book: Fix double clicking in the see what changed dialog not opening the file in the editor since calibre 6.0

- Edit book: Fix modified indicator on images not working correctly when replacing the image

- Amazon metadata download: Adapt the plugin for website changes

:: improved recipes
- Army and Navy Times
- eenadu_ap
- Handelsblatt

:: new recipes
- Fifty Two by unkn0wn
- Bloomberg and Bloomberg Business Week by unkn0wn
}}}

{{{ 6.7.0 2022-10-14

:: new features

- Template language: A new "Python template mode" which allows using arbitrary Python code in templates

- [1992273] Tag browser: Allow removing format from selected books by right clicking on the format in the Tag browser

- [1991597] E-book viewer: Ask for confirmation when creating a highlight that will overwrite existing highlights

- Book list: Allow changing column widths via a dedicated dialog by right clicking on column headers

:: bug fixes

- [1992278] E-book viewer: Fix a regression that broke adding of new lookup sources

- [1991504] E-book viewer: Fix copy to clipboard not ignoring text from elements that are marked as non user selectable

- [1992244] Content server: When adding books, run all file type plugins before reading metadata

- Edit book: Preview panel: In dark mode when all of the background/foreground/link colors are set to "No change" do not render the book using dark colors

- Version 6.7.1 fixes a regression in the previous release that broke the delete specific format from book function

:: improved recipes
- The Athletic
- der Standard
- The Economic Times India Print Edition
- Indian Express
- India Today Magazine
- Caravan Magazine
}}}

{{{ 6.6.1 2022-09-30

:: new features

- Book details: allow displaying multi-valued categories such as tags on separate lines via Preferences->Look & feel->Book details

- [1989813] Tag browser: When searching the Tag browser allow also filtering the book list to show only books that match one of the categories currently shown in the Tag browser.

To use enable the two Preferences: "Preferences->Look & feel->Tag browser->Hide empty categories" and "Find shows all items that match".
Then, when searching the Tag browser, press Ctrl+Alt+Shift+F to restrict the displayed books.

- [1990507] Edit book: When right clicking on HTML files in EPUB 3 books, allow marking them as the Table of Contents (NAV document)

:: bug fixes

- [1990185] EPUB Output: Fix converting a document with obfuscated fonts to EPUB 3 not working

- [1990660] Edit book: Fix an error when processing books that contain comments inside unknown CSS @ rules

- [1989722] Content server: Fix jumping to locations such as bookmarks not working on iPhone/iPad running iOS >= 15

- [1990766] Font subsetting: Fix :first-line and :first-letter pseudo classes not being handled correctly

- Workaround for Amazon's email delivery service not reading metadata from inside ebook files

- Edit book: File list: Fix pressing Tab key while renaming a file not starting the rename of the next file

- Version 6.6.1 fixes a regression that caused the Edit metadata window to not remember its last used size.
  Note that you will have to resize it once after updating to 6.6.1, after which the size will be remembered.

:: improved recipes
- SCMP
- Spectator Magazine
- Spiegel Online International
- Engadget
}}}

{{{ 6.5.0 2022-09-16

:: new features

- Kobo driver: support the new Kobo Clara 2e

- [1989631] When running calibre with the --with-library command line flag and calibre is already running, switch to the specified library in calibre

- [1988443] E-book viewer: Ask for confirmation when deleting a custom highlight style

- [1988609] Do not show the virtual libraries tab bar when no virtual libraries are present

- Tag mapper: When specifying the replacement tag allow completion from the tags in the currently open library

- Template language: New functions strcasecmp() and to_hex()

:: bug fixes

- [1989177] Comments editor: Workaround for Qt inserting invalid font-weight when converting a paragraph to a heading

- [1988590] E-book viewer: When displaying highlights do not group highlights from different chapters when the chapter titles are identical

- Tag browser: Fix error if a User category contains a reference to a deleted custom column

- [1989282] When sending books by email to the Kindle and PocketBook email delivery services use random subject and filenames consisting of simple English letters to try to workaround various bugs in their email processing code

:: improved recipes
- The Wall Street Journal
- Open Magazine
- The Baffler
- Dark Reading
- New York Times
- NYTimes Cooking
- NYTimes Sports Beat
- Outlook Magazine
- Foreign Affairs

}}}

{{{ 6.4.0 2022-09-02

:: new features

- [1987011] Conversion pipeline: Add support for !important when flattening CSS rules

- [1986786] Content server: Use the chapter title as the base bookmark name when creating new bookmarks

- Allow changing the search order when clicking on items in the Tag browser (Preferences->Look & feel->Tag browser->Hierarchy and searching)

- [1986500] Check library: Make vacuuming the full text database optional as it is very slow and memory intensive

- [1987235] Tag browser: Move the preferences for controlling the order and display of categories in the Tag browser from Preferences->Tweaks to Preferences->Look & feel->Tag browser

- [1984121] User category editor: Hide items not visible in the Tag browser

- Allow adding a button to show the Manage categories window to the toolbars via Preferences->Toolbars & menus

- Google metadata download: When excluding results from a web search because they don't match the specified title/author ignore diacritics, accents, etc.

:: bug fixes

- [1986963] E-book viewer: Lookup: Google dictionary: Add some padding at the left and right margins

- [1985855] E-book viewer: Lookup word in Google dictionary: Fix meanings of some words not being shown in the user's preferred language

- [1987390] Fix calibredb backup_metadata --all operating only on dirty books not all books

- [1987557] Do not VACUUM FTS db when exporting library as it can be very slow

- Windows: Nicer error message when attempting to run viewer/editor on machine without MediaPack installed

- Edit book: Reports: Fix rendering of images in the images report table

- [1986412] Content server: Fix formatting of dates for custom columns using ISO format

:: improved recipes
- Live Law and Live Mint
- Financial Times and MIT Technology Review
- Business Standard and Indian Express
- Nautilus
- High Country News
- Outlook Business Magazine

:: new recipes
- Brhat by Vishwas Vasuki
- Cachys Blog by Volker Heggemann
- Various Russian and Ukranian news sources by bugmen00t
}}}

{{{ 6.3.0 2022-08-12

:: new features

- E-book viewer: Allow searching for nearby words using a new "Nearby words" search mode

- calibredb: New fts_search and fts_index commands to perform full text searching from the command line

- [1985021] Image viewing popup: Allow zooming using the standard shortcuts of Ctrl+plus/minus

:: bug fixes

- Fix a regression in calibre 6.0 that broke remembering the previous sort order for a column

- [1983484] Fix a regression in calibre 6.0 that broke processing of very high resolution images

- [1983230] Full text search: Fix error when using restrict searched books and more than 900 books are present in the searched list

- E-book viewer: Fix parsing of CSS styles with @supports rules not working

- E-book viewer: Speed up initial render of books with lots of CSS in <style> tags by not prettying the CSS

- [1983126] Google books metadata download: Fix paragraphs not being recognized

- Content server: Fix light background for comments editor in dark mode

- [1985058] Content server: Fix margin and body background color mismatch when reading books with a non-white/black color scheme

- [1983271] Content server: Fix long tapping in the notes edit area incorrectly changing the highlight extent

- Google search engine: Fix for different URL encoding used by Google servers in Portugal

- Check library: Fix vacuum not running on FTS db

:: improved recipes
- Wirtschaft Woche
- Scientific American
- Popular Science
- Mediapart
- MIT Technology Review
- Indian Express
- Eenadu

:: new recipes
- Various Russian and Ukranian news sources by bugmen00t
}}}

{{{ 6.2.1 2022-07-29

:: new features

- Full text search: Ignore soft hyphens when extracting searchable text from books. Note that you will have to re-index your library to take advantage of this.

- Content server: Have the Read button open PDF files in the browsers builtin PDF viewer rather than the calibre viewer since the calibre viewer is not well suited to PDF

- Kobo driver: Add support for new firmware

- Create icon theme dialog: Add a checkbox to install the newly created theme into calibre

- Allow re-indexing a book for FTS by right clicking the Book details panel

:: bug fixes

- [1982060] Content server: Workaround for Chrome bug causing multiple sign in prompts when connecting to the server after restarting Chrome

- Fix a regression in 6.0 that broke rendering of first page of EPUB as cover when the EPUB has no actual cover

- [1981886] Content server: Fix a regression in 6.0 that caused incorrect rendering of comments metadata in the book details panel in dark mode

- [1982743] FB2 Input: Fix a regression in 6.0 that broke conversion of FB2 on macOS

- [1982502] Metadata download from Google: Switch to making the queries via a Google web search as this finds some books that searching via the API does not

- [1982651] Book details panel: Fix clicking on items from an enumerated column containing ampersands not searching correctly

- Image editor: Do not allow initial mouse drag to create selection rect outside the image bounds

- E-book viewer: Fix clicking on ToC entries moving keyboard focus to the ToC search box when the ToC window is floating

- Fix a regression in 6.0 that caused the default cover to be rendered small in some contexts

- [1981882] Various bug fixes related to the new dark/light icon theme switching. Make the icons more consistent even when using the system theme. Use calibre specific file type icons when using the non native file dialogs. Allow creating dark/light override icons manually in the configuration folder.

- [1981909] Disable the color theme setting when using system style

- When using a fixed color palette and the system colors are of different type enforce the color palette

- [1982050] Ignore Qt generated application palette changes when using a fixed palette

- In the icon theme chooser dialog show light and dark themes only in the light and dark tabs

- [1982035] Welcome wizard: Fix device names not being translated correctly leading to the same name being repeated for some devices

- Read aloud: Fix spurious error message on Linux about voices not being installed

- Linux binaries: Bundle brotli and graphite2 as well as Qt links against them

- FTS dialog: When keyboard navigation changes the current item ensure it stays visible

- [1981887] Binary builds: Fix Qt TLS backends not included

- Fix Qt WebEngine creating cache folders outside of the calibre cache directory

- Version 6.2.1 fixes a regression in 6.2.0 that caused the Read button in the Content server to only work for PDF books

:: improved recipes
- Frontline
- HBR
- The Australian
- India Today
- Indian Express
- India Today
- Live Mint
- The Atlantic

:: new recipes
- The Athletic by unkn0wn
- Various Russian and Ukranian news sources by bugmen00t
}}}

{{{ 6.1.0 2022-07-16

:: new features

- Full text search: Add a button to re-index a book, useful if the book's contents have been changed outside calibre

- Search queries now support quoting using "docstrings" for easier escaping

- Linux installer: Check for libEGL as the QtGui module in Qt 6 links against it and many Linux servers don't have it installed

:: bug fixes

- macOS: Blacklist older versions of the DeDRM plugin as they caused crashes and failures to add books.

- [1981453] Fix a regression in 6.0 that caused crashes in the Manage authors dialog

- Fix a regression in 6.0 that broke touch screen interaction

- [1981627] Fix a regression in 6.0 that caused a few checkboxes to stop working

- [1981629] Linux: Fix a regression in 6.0 that broke handling of mouse clicks on some Wayland systems with a touchpad

- ToC Editor: Fix a regression in 6.0 that broke styling/images in the preview panel

- Windows: Fix window titlebars not dark in dark mode

- Full text search: Show a warning when indexing/searching a library on an FAT drive

- News download: Do not add aborted/failed article titles to the comments metadata

- Full text search: Fix books edited with the Edit book tool not being automatically re-indexed

- [1981438] HTML Input: Fix handling of deeply nested files on Windows

- [1981188] Fix a regression preventing using a non-integer value for the tweak to change book details font size

- Fix moving library not moving the full text search index

- Fix some custom icons in the calibre config directory not overriding the theme/builtin icons

- Linux installer: Fix glibc version check also being done when installing older versions

- Windows installer: Refuse to install on Windows 8 as thanks to Qt 6 calibre 6 does not work on Windows 8

- Update the BigBookSearch metadata plugin for website changes

:: improved recipes
- The Economic Times India
}}}

{{{ 6.0.0 2022-07-11
:: new features

- [major] For details on the major changes in calibre between 6.0 and 5.0, see https://calibre-ebook.com/new-in/fifteen

- [major] Full text search: You can now search the entire text of all books in your calibre library

- [major] Support for new CPU architectures: Apple Silicon and ARM64 on Linux. Support for 32bit CPUs has been dropped because Qt 6 does not support them

- Dark mode in calibre is now controlled via a setting in Preferences->Look & feel rather than an environment variable

- Allow choosing different icon themes for light and dark mode in Preferences->Look & feel

- Upgrade calibre to use Qt 6. This means that some no longer maintained third party plugins may not work, though most plugins have already been ported

}}}

{{{ 5.44.0 2022-06-17

:: new features

- [1976105] Amazon metadata download: Add an option to prefer the Kindle edition when multiple book types are returned by the search (Preferences->Metadata download->Configure the Amazon plugin)

- Kobo driver: Support for updated firmware

- [1977681] Allow customizing how yes/no columns are displayed (Preferences->Add your own columns)

- Manage tags dialog: If tags are present in the add tags input when OK is clicked, add them automatically, without needing to click the plus button first

:: bug fixes

- [1978500] Edit book: Live CSS: Fix @namespace rules causing jumping to rule definition to go to the wrong definition

- Workaround for Apple bug in macOS 13 that prevents device detection

- Don't use commas in filenames when sending to pbsync and kindle email addresses

- Edit book: When quitting while a save is in progress and the save completes while the confirmation popup is visible, don't abort the quit.

:: improved recipes
- Harvard Business Review
- Philosophy Now
- Sydney Morning Herald
- Haaretz
- Indian Express
- Hindi Business Line
- The New York Times
- Nature
- Eenadu
- Scientific American
- Business Today
- Irish Times
- FAZ.net
- Le Monde
- Economist

:: new recipes
- Nautilus by unkn0wn
- The Healthy from Reader's Digest by Stephen Genusa
- Business Standard Print Edition by unkn0wn
- The Economic Times India Print Edition by unkn0wn
}}}
